> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suave.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Routing



## OpenAPI

````yaml GET /api/v1/quote
openapi: 3.0.0
info:
  title: Suave API
  version: 0.0.1
servers:
  - url: https://checkout.suave.money
security: []
paths:
  /api/v1/quote:
    get:
      summary: Get Quote
      parameters:
        - name: fromChain
          in: query
          description: Chain ID of the source token (must be a supported chain)
          schema:
            type: string
        - name: toChain
          in: query
          description: Chain ID of the destination token (must be a supported chain)
          schema:
            type: string
        - name: fromToken
          in: query
          description: Address of the source token
          schema:
            type: string
        - name: toToken
          in: query
          description: Address of the destination token
          schema:
            type: string
        - name: fromAmount
          in: query
          description: Amount of source token to swap
          schema:
            type: string
      responses:
        '200':
          description: Fetch quote for a swap between two tokens
          content:
            application/json:
              schema:
                type: object
                properties:
                  toAmount:
                    type: string
                  toAmountMin:
                    type: string
                  toToken:
                    type: string
                  toChain:
                    type: string
                  fromToken:
                    type: string
                  fromAmount:
                    type: string
                  fromChain:
                    type: string

````